package de.dhbwstuttgart.typeinference.unify;

import java.util.ArrayList;

public class UnifyTaskModel {

	ArrayList<TypeUnifyTask> usedTasks = new ArrayList<>();
	
	public synchronized void add(TypeUnifyTask t) {
		usedTasks.add(t);
	}
    
    public synchronized void cancel() {
    	for(TypeUnifyTask t : usedTasks) {
    		t.myCancel(true);
    	}
    }
}
